/operations/trackers/commitment_validation
1 min
POST
https://app.amberflo.io/operations/trackers/commitment_validation
Body Parameters
- bodyoperations.query_tool.commitment_validation.CommitmentValidationParams.in
- typestringrequiredDescriptionDefaultcommitment_validation
- timeRangecommon.TimeRange.inrequiredDescription
- startTimeInSecondsinteger<int64>requiredDescription
- endTimeInSecondsinteger<int64>Description
- accountIdstringDescription
- customerIdstringrequiredDescription
Responses
200
- operations.tracker.TrackerInfo.out
- trackerIdstring
- accountIdstring
- queryToolPayloadstring
- lastUpdatedinteger<int64>
- typestring
- timeWindowinteger<int64>
- timeLaginteger<int64>
- statusoperations.tracker.TrackerStatus.out
curl
curl --request POST \
--url https://app.amberflo.io/operations/trackers/commitment_validation \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"type": "commitment_validation",
"timeRange": {
"startTimeInSeconds": 0
},
"customerId": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"type": "commitment_validation",
"timeRange": {
"startTimeInSeconds": 0
},
"customerId": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/operations/trackers/commitment_validation", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/operations/trackers/commitment_validation")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"type": "commitment_validation",
"timeRange": {
"startTimeInSeconds": 0
},
"customerId": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/operations/trackers/commitment_validation"
payload = json.dumps({
"type": "commitment_validation",
"timeRange": {
"startTimeInSeconds": 0
},
"customerId": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"trackerId": "",
"accountId": "",
"queryToolPayload": "",
"lastUpdated": "",
"type": "",
"timeWindow": "",
"timeLag": "",
"status": ""
}